# Io Reference

UserInterface / Clutter / ClutterUnits

For more detailed docs see Clutter documentation.

Example:

    ClutterActor clone setWidth((10 px + 1 em) value)

+(otherUnit)

`otherUnit` can be either [[ClutterUnits]] or [[Number]].
-(otherUnit)

==(otherUnit)

asString

compare(otherUnit)

Returns 0 if units are equal, -1 if `self` is smaller, 1 if `self` is bigger than `otherUnit`.
unit

Returns an value from [[Clutter UNIT]].
value

withEm(valueInEm)

withEmForFont(valueInEm, fontName)

withMm(valueInMm)

withPt(valueInPt)

withPx(valueInPx)

withString(string)